Function
end
The end of a container.
Iterator end(object [, tag])
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: Container: ModifiedString, String AlignCols, char array, Finder, FrequencyDistribution, Gaps, Index, Map, MaxRepeats Iterator, SeedSet, SeedSet, std::basic_string, std::list, std::vector, StringSet
tag | An iterator spec tag that specifies the kind of the iterator returned. (optional) Default: Given by DefaultGetIteratorSpec.

Remarks
If the container does not contain any items at all, the function may return 0.
Return Values
An iterator that points behind the last item in object.
Metafunctions: Iterator
Example Programs
Iterator Basics, Rooted Iterators
Part of Concept
Container
See Also
setEndPosition, setEnd, begin, clippedEndPosition, endPosition, Iterator, sourceEnd, atEnd, goEnd, back, difference
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47